package com.om.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.om.entity.dto.AppBaseDTO;
import com.om.entity.po.Manual;
import com.baomidou.mybatisplus.extension.service.IService;
import com.om.entity.vo.AppManual;
import com.om.utils.Result;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author henry-ong
 * @since 2024-02-28
 */
public interface IManualService extends IService<Manual> {

    Page<Manual> findManual(Page<Manual> objectPage, String code, String title);

    Result<AppManual> AppGetByLang(AppBaseDTO dto);

    Result pushManual(Integer id);
}
